"apt update" return "Certificate verification failed" for https://packages.zorinos.com/apps

About a month ago I install Zorin 16 Core on my laptop to try it out (first time daily drive Linux, so bear with me), things are great so far. The only weird thing that only show up today is the output of "sudo apt update" suddenly error out with this:

Err:29 Index of /drivers/ focal Release
Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate. Could not handshake: Error in the certificate verification. [IP: 138.68.36.163 443]

I guess it is related to the recently expired Let's Encrypt certificate? I seach around for solution but cannot find one that work. Anyone have any idea how to solve this?

@AZorin and @zorink

meo, I have tagged AZorin and Zorink to review your issue as this is an issue only they can address.

1 Like

Hi @meo!

There have recently been updates to some of the packages that handle web security verification such as ca-certificates and others that handle SSL and TLS in order to support the updated security certificates in some of the repositories. If you see this error message, you might not have installed these updated packages.

In order to resolve this issue, please install the latest updates from the Software Updater.

1 Like

I already try sudo apt update and using the Software Updater, the error message still remain.
Tried running curl https://packages.zorinos.com/stable return the similar error (curl: (60) SSL certificate problem: certificate has expired).
Listing apt list ca-certificates return ca-certificates/focal-updates,focal-updates,focal-security,focal-security,now 20210119~20.04.2 all [installed].

If you're using the Terminal, please also run the sudo apt upgrade command to install the updated packages. After the installation is complete, the error shouldn't appear again.

This is the result when I tried running update and upgrade:

meo@meo-laptop:~$ sudo apt update
Hit:1 http://vn.archive.ubuntu.com/ubuntu focal InRelease
Hit:2 http://vn.archive.ubuntu.com/ubuntu focal-updates InRelease                                                                                                                                                 
Hit:3 http://vn.archive.ubuntu.com/ubuntu focal-backports InRelease                                                                                                                                               
Hit:4 https://... stable InRelease                                                                                                                                                           
Ign:5 https://packages.zorinos.com/stable focal InRelease                                                                                                                                                         
Hit:6 http://...  InRelease                                                                                                                             
Hit:7 https://... stable InRelease                                                                                                                                              
Hit:8 http://ppa.launchpad.net/zorinos/apps/ubuntu focal InRelease
Hit:10 http://archive.canonical.com/ubuntu focal InRelease
Get:11 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB]
Ign:12 https://packages.zorinos.com/patches focal InRelease                                                                                                               
Ign:9 https://... focal InRelease
Hit:13 http://ppa.launchpad.net/zorinos/drivers/ubuntu focal InRelease                                                               
Ign:15 https://packages.zorinos.com/apps focal InRelease
Hit:16 http://ppa.launchpad.net/zorinos/patches/ubuntu focal InRelease
Ign:17 https://packages.zorinos.com/drivers focal InRelease                                                                                                
Hit:14 https://... focal Release
Hit:19 http://ppa.launchpad.net/zorinos/stable/ubuntu focal InRelease
Err:20 https://packages.zorinos.com/stable focal Release
  Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate.  Could not handshake: Error in the certificate verification. [IP: 138.68.36.163 443]
Get:21 http://security.ubuntu.com/ubuntu focal-security/main amd64 DEP-11 Metadata [29.0 kB]
Get:22 http://security.ubuntu.com/ubuntu focal-security/universe amd64 DEP-11 Metadata [62.5 kB]
Get:23 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 DEP-11 Metadata [2,468 B]          
Err:24 https://packages.zorinos.com/patches focal Release
  Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate.  Could not handshake: Error in the certificate verification. [IP: 138.68.36.163 443]
Err:25 https://packages.zorinos.com/apps focal Release
  Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate.  Could not handshake: Error in the certificate verification. [IP: 138.68.36.163 443]
Err:26 https://packages.zorinos.com/drivers focal Release
  Certificate verification failed: The certificate is NOT trusted. The certificate chain uses expired certificate.  Could not handshake: Error in the certificate verification. [IP: 138.68.36.163 443]
Reading package lists... Done
N: Skipping acquire of configured file 'universe/binary-i386/Packages' as repository 'http://... focal InRelease' doesn't support architecture 'i386'
E: The repository 'https://packages.zorinos.com/stable focal Release' no longer has a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'https://packages.zorinos.com/patches focal Release' no longer has a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'https://packages.zorinos.com/apps focal Release' no longer has a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'https://packages.zorinos.com/drivers focal Release' no longer has a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
meo@meo-laptop:~$ sudo apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Please try following these steps:

  1. Enter the following command into the Terminal: sudo software-properties-gtk
  2. In the new window, please open the "Download from" dropdown menu and select "Other..." from the list to select the best server for your location. Alternatively, you can choose the "Main Server" option to download from the main server.
  3. Click "Close" to apply the changes and Reload the package sources.
  4. Reboot your computer to apply these changes fully.
  5. Try running sudo apt update and sudo apt upgrade in the Terminal again to install the latest updates.

Just thought that maybe the mirror were lagged behind and tried exactly that, but got no luck.

Could you please copy and paste the output of the below Terminal command here?
apt-cache policy ca-certificates

meo@meo-laptop:~$  apt-cache policy ca-certificates
ca-certificates:
  Installed: 20210119~20.04.2
  Candidate: 20210119~20.04.2
  Version table:
 *** 20210119~20.04.2 500
        500 http://vn.archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages
        500 http://vn.archive.ubuntu.com/ubuntu focal-updates/main i386 Packages
        500 http://security.ubuntu.com/ubuntu focal-security/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu focal-security/main i386 Packages
        100 /var/lib/dpkg/status
     20190110ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
        500 http://archive.ubuntu.com/ubuntu focal/main i386 Packages

I think I just had the same problem. New install of core, software updater says the certs are out of date.

sudo apt install ca-certificates

Seems to have done the trick. Updating fine now.

1 Like